<!DOCTYPE html>
<html>
<head>
	<title>Halftone</title>
</head>
<link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
<style type="text/css">
	body{
		height: 100vh;
		width: 100vw;
		margin: 0;
		display: flex;
	}
	.red{
		height: 100%;
		width: 40%;
		background: red;
		opacity: .8;
	}
	.black{
		height: 100%;
		width: 60%;
		background: black;
		opacity: .8;
	}
	.main{
		z-index: 9;
		height:80px;
		width: 80px;
		border-radius: 50%;
		background: white;
		color: black;
		opacity: 1;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	
	.main>i{
		font-size:50px;
		font-weight: bolder;
		transition: .6s;
	}

	.menu-bar:hover>.main>i{
		transform: rotate(45deg);
	}
	.menu-bar{
		position: absolute;
		z-index: 1;
		height: 85%;
		width: 10%;
		margin-left: 35vw;
		margin-top:10vh;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-direction: column;
	}
	.top-half, .bottom-half{
		display: none;
		transition:1s;
	}
	.top-item, .bottom-item{
		height:30px;
		width: 30px;
		border-radius: 50%;
		background: white;
		color: black;
		opacity: 1;
		display: flex;
		justify-content: center;
		align-items: center;
		transition:.3s;
	}
	.top-item:hover, .bottom-item:hover{
		background:yellow;
		cursor:pointer;
	}

	.menu-bar:hover>.top-half,.menu-bar:hover>.bottom-half{
		height: 30%;
		display: flex;
		justify-content: space-around;
		align-items: center;
		flex-direction: column;
	}
	.menu{
		height: 20%;
	}
	
	
</style>
<body>
	<div class="red"></div>
	<div class="black"></div>
	<div class="menu-bar">
		<div class="top-half">
			<div class="top-item"><i class="material-icons">home</i></div>
			<div class="top-item"><i class="material-icons">book</i></div>
			<div class="top-item"><i class="material-icons">folder</i></div>
		</div>
		<div class="main"><i class="material-icons">add</i></div>
		<div class="bottom-half">
			<div class="bottom-item"><i class="material-icons">check</i></div>
			<div class="bottom-item"><i class="material-icons">message</i></div>
			<div class="bottom-item"><i class="material-icons">email</i></div>
		</div>
	</div>

</body>
</html>